Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractArrayMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractValueMetaData
              org.jboss.beans.metadata.plugins.AbstractTypeMetaData
                  org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
                      org.jboss.beans.metadata.plugins.AbstractListMetaData
                          org.jboss.beans.metadata.plugins.AbstractArrayMetaData

All Implemented Interfaces:
  Cloneable, Collection, org.jboss.util.JBossInterface, List, MetaDataVisitorNode, ValueMetaData

public class AbstractArrayMetaData
extends AbstractListMetaData

Array metadata.

Version:
  $Revision: 1.11 $
Author:
  Adrian Brock

Field Summary

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`collection, elementType`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`configurator, type`

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`value`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractArrayMetaData()` Create a new array value

Method Summary
`protected Object` | `getCollectionInstance(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl, Class expected)` Create the collection instance
`Object` | `getValue(org.jboss.reflect.spi.TypeInfo info, ClassLoader cl)` Get the value.
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractListMetaData
`add, addAll, get, indexOf, lastIndexOf, listIterator, listIterator, remove, set, subList`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractCollectionMetaData
`add, addAll, clear, contains, containsAll, getChildren, getDefaultCollectionInstance, getElementClassInfo, getElementType, isEmpty, iterator, remove, removeAll, retainAll, setElementType, size, toArray, toArray`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractTypeMetaData
`getClassInfo, getType, setConfigurator, setType, visit`

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractValueMetaData
`getUnderlyingValue, getValue, setValue, toShortString`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Constructor Detail

### AbstractArrayMetaData

    public AbstractArrayMetaData()

  Create a new array value

Method Detail

### getValue

    public Object getValue(org.jboss.reflect.spi.TypeInfo info,
                           ClassLoader cl)
                    throws Throwable

  Description copied from interface: `ValueMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `ValueMetaData`
  Overrides:
    `getValue` in class `AbstractCollectionMetaData`
  Throws:
    `Throwable`

### getCollectionInstance

    protected Object getCollectionInstance(org.jboss.reflect.spi.TypeInfo info,
                                           ClassLoader cl,
                                           Class expected)
                                    throws Throwable

  Description copied from class: `AbstractCollectionMetaData`
  Create the collection instance

  Overrides:
    `getCollectionInstance` in class `AbstractCollectionMetaData`
  Parameters:
    `info` - the request type
    `cl` - the classloader
    `expected` - the expected class
  Returns:
    the class instance
  Throws:
    `Throwable` - for any error

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractListMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.